LibreOffice LibreOffice 25.8 SDK API Reference

Public Member Functions | List of all members
XHeaderFooterContent Interface Referencepublished

provides access to the text contents of a header or footer on a page. More...

`import"XHeaderFooterContent.idl";`

Inheritance diagram for XHeaderFooterContent:

## Public Member Functions
com::sun::star::text::XText | getLeftText ()
| returns the text which is printed in the left part of the header or footer. More...
com::sun::star::text::XText | getCenterText ()
| returns the text which is printed in the center part of the header or footer. More...
com::sun::star::text::XText | getRightText ()
| returns the text which is printed in the right part of the header or footer. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

provides access to the text contents of a header or footer on a page.

See also
  com::sun::star::sheet::HeaderFooterContent
  com::sun::star::sheet::TablePageStyle

## Member Function Documentation

## ◆ getCenterText()

com::sun::star::text::XText getCenterText | ( |  | ) |

returns the text which is printed in the center part of the header or footer.

See also
  com::sun::star::text::Text

## ◆ getLeftText()

com::sun::star::text::XText getLeftText | ( |  | ) |

returns the text which is printed in the left part of the header or footer.

See also
  com::sun::star::text::Text

## ◆ getRightText()

com::sun::star::text::XText getRightText | ( |  | ) |

returns the text which is printed in the right part of the header or footer.

See also
  com::sun::star::text::Text

The documentation for this interface was generated from the following file:

- com/sun/star/sheet/XHeaderFooterContent.idl